GET /gslb/adaptrepl/window/
/gslb/adaptrepl/window/
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"cache_detail": [
{
"action": "string",
"fault_state": {
"faults": [
{
"reason": "string",
"recommendation": "string",
"timestamp": "string",
"type": "string",
"uuid": "string"
}
]
},
"obj_type": "string",
"reason": "string",
"se_uuid": "string",
"uuid": "string",
"version": 0
}
],
"cache_summary": [
{
"obj_uuid": "string",
"version_num": 0
}
],
"fault_summary": [
{
"obj_uuid": "string",
"version_num": 0
}
],
"fix_summary": [
{
"diffq_version": 0,
"fix_version": 0,
"obj_uuid": "string",
"version_num": 0
}
],
"repl_summary": {
"repl_status": "string",
"site_repl": [
{
"repl_status": "string",
"site_name": "string",
"site_type": "string",
"target_version": 0,
"version": 0
}
]
},
"window_detail": {
"acked": [
false
],
"cfg_versions": [
{
"action": "string",
"fault_state": {
"faults": [
{
"reason": "string",
"recommendation": "string",
"timestamp": "string",
"type": "string",
"uuid": "string"
}
]
},
"obj_type": "string",
"reason": "string",
"se_uuid": "string",
"uuid": "string",
"version": 0
}
]
},
"window_summary": [
{
"obj_uuid": "string",
"version_num": 0
}
]
}
Detailed view of Adaptive replication cache. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Summary of Adaptive replication cache. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Adaptive Replication Faults. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Summary of fixes of Adaptive Replication Faults. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
repl_summary
window_detail
Summary of config versions for all objects. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
curl -H 'Authorization: <value>' https://{api_host}/api/gslb/adaptrepl/window